# List of all feedback

## All Feedbacks

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/feedback`

Retrieve a list of all feedback questions.&#x20;

#### Query Parameters

| Name   | Type   | Description                                                                            |
| ------ | ------ | -------------------------------------------------------------------------------------- |
| order  | object | Object type where you can mention field name followed by value. eg: {"id":"DESC"}      |
| where  | object | Object type where you can specify field name followed by a value. eg: {"search":"How"} |
| select | array  | An array of strings which includes the fields in return Eg: "id","type" etc.           |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{api\_key}} |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "count": 1,
    "departmentList": {
      "list": [
        {
          "id": 6,
          "name": "eswweew "
        },
        {
          "id": 7,
          "name": "fdhfthnfgg"
        },
        {
          "id": 8,
          "name": "Youpps"
        },
        {
          "id": 9,
          "name": "robust"
        },
        {
          "id": 10,
          "name": "qwe"
        },
        {
          "id": 11,
          "name": "moi"
        },
        {
          "id": 12,
          "name": "roi"
        },
        {
          "id": 13,
          "name": "eoi"
        }
      ],
      "success": "true"
    },
    "data": [
      {
        "id": 36,
        "question": "How satisfied?",
        "type": "rating",
        "config": {
          "values": [
            {
              "icon": "settings/feedback-5.svg",
              "label": "DISLIKE",
              "value": "5"
            }
          ],
          "required": true,
          "rating_type": "star",
          "error_message": "Invalid Input"
        },
        "departments": [],
        "channels": [
          "email"
        ],
        "dateCreated": "2021-03-17T04:27:48.000Z",
        "status": "active"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/settings/conversation-settings/feedback/list-of-all-feedbacks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
